<?php
/*
  Template Name: Contact Form - In Development
 */
?>
<?php
if (function_exists('cat_temp_menus')) {
global $post, $id;
}
?>
<?php
$nameError = '';
$emailError = '';
$commentError = '';
if (isset($_POST['submitted'])) {
if (trim($_POST['contactName']) === '') {
$nameError = 'Please enter your name.';
$hasError = true;
} else {
$name = trim($_POST['contactName']);
}
if (trim($_POST['email']) === '') {
$emailError = 'Please enter your email address.';
$hasError = true;
} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
$emailError = 'You entered an invalid email address.';
$hasError = true;
} else {
$email = trim($_POST['email']);
}
if (trim($_POST['comments']) === '') {
$commentError = 'Please enter a message.';
$hasError = true;
} else {
if (function_exists('stripslashes')) {
$comments = stripslashes(trim($_POST['comments']));
} else {
$comments = trim($_POST['comments']);
}
}
if (!isset($hasError)) {
$emailTo = get_option('tz_email');
if (!isset($emailTo) || ($emailTo == '')) {
$emailTo = get_option('admin_email');
}
$subject = 'Contact Form From ' . $name;
$body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
$headers = 'From: ' . $name . ' <' . $emailTo . '>' . "\r\n" . 'Reply-To: ' . $email;
mail($emailTo, $subject, $body, $headers);
$emailSent = true;
}
}
?>
<?php get_header(); ?>

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '1') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '1' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php if (is_active_sidebar('st-below-head2-widget-area') && st_meta_belowhead2() != '0') : ?>
<div class="stfullwidget widget-area">
<div class="sidebar-box">
<?php dynamic_sidebar('st-below-head2-widget-area'); ?>
</div></div>
<?php endif; ?>

<div id="content_all" class="konafilter">
<div id="maincontent">

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '2') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '2' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php get_template_part( 'layout/landscape-images' ); ?>

<?php if (is_active_sidebar('banner-widget-area') && st_meta_bannerwidget() != '0') : ?><div id="banner_widget" class="sidebar-box">
<?php dynamic_sidebar('banner-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

<div id="post-entry">
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
<div id="post-<?php the_ID(); ?>" class="post-meta">


<?php get_template_part( 'layout/link_h1_self' ); ?>

<div class="post-date"><?php edit_post_link('Edit', '&#124; ', ''); ?></div>

<div class="post-content">
<?php the_content(); ?>
</div>

</div>

<?php endwhile; ?>

<?php if (isset($emailSent) && $emailSent == true) { ?>
<div class="contactthanks">
<p>Thanks, your email was sent successfully.</p>
</div>
<?php } else { ?>
<?php if (isset($hasError) || isset($captchaError)) { ?>
<p class="contacterror">Sorry, an error occured.</p>
<?php } ?>
<div class="comment-stallion">
<form action="<?php the_permalink(); ?>" id="contactForm" method="post">
<div id="comment-box">
<p>
<input type="text" name="contactName" id="contactName" value="<?php if (isset($_POST['contactName'])) echo $_POST['contactName']; ?>" class="required requiredField" />
<label for="contactName" class="author"><?php echo st_lang_comname(); ?> <?php echo st_lang_comreq(); ?></label>
<?php if ($nameError != '') { ?>
<span class="error"> <?php echo $nameError; ?> </span>
<?php } ?>
</p>

<p>
<input type="text" name="email" id="email" value="<?php if (isset($_POST['email'])) echo $_POST['email']; ?>" class="required requiredField email" />
<label for="email" class="email"><?php echo st_lang_commail(); ?></label>
<?php if ($emailError != '') { ?>
<span class="error"> <?php echo $emailError; ?> </span>
<?php } ?>
</p>
</div>

<div id="comment-area">
<p><textarea name="comment" id="comment" rows="12" tabindex="5" cols="92" class="required requiredField"><?php
if (isset($_POST['comments'])) {
if (function_exists('stripslashes')) {
echo stripslashes($_POST['comments']);
} else {
echo $_POST['comments'];
}
}
?></textarea></p>
<?php if ($commentError != '') { ?>
<span class="error"> <?php echo $commentError; ?> </span>
<?php } ?>

<p><input type="submit" value="Send Email" />
<input type="hidden" name="submitted" id="submitted" value="true" /></p>
</div>
</form>
</div>
<?php } ?>

<div class="divpadding"></div>

<?php else: ?>

<h1>Sorry The Page Has Been Removed</h1>

<?php endif; ?>

</div>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>