<?php
/*
  Template Name: Sitemap MultiSite
 */
?>
<?php
if (function_exists('cat_temp_menus')) {
global $post, $id;
}
?>
<?php
global $name_or_url;
global $begin_wrap;
global $end_wrap;
// determine whether using vhosts or not for both functions to use
$vhosts = (defined("VHOST") && constant("VHOST") == 'yes' );

function echoArrayBlogList($arrayName, $name_sort) {
global $wpdb;
global $name_or_url;
global $begin_wrap;
global $end_wrap;
global $vhosts;

$intArrayCount = 0;
$bid = '';
// if blog name requested, then get it
if ($name_or_url == "name") {
$blogs = array();
$i = 1;
foreach ($arrayName as $blog) {
$blogname = get_blog_option($blog['blog_id'], "blogname");
$blogs[$i] = array('key' => strtolower($blogname), // give it a key to sort by
'blog_name' => $blogname,
'blog_id' => $blog['blog_id'],
'domain' => isset($blog['domain'])
);
$i++;
}
// now sort if requested
if ($name_sort) {
asort($blogs);
}
// replace array
$arrayName = $blogs;
}
foreach ($arrayName as $blog) {
// get blog url depending on vhost or not-vhost installtion
if ($vhosts)
$tmp_domain = $blog['domain'];
else
$tmp_domain = get_blog_option($blog['blog_id'], "siteurl");
if ($name_or_url == "name") {
$tmp_display = $blog['blog_name'];
} else {
$tmp_display = $tmp_domain;
}
// get blog url depending on vhost or not-vhost installtion
if ($vhosts)
echo $begin_wrap . "<a href='http://" . $tmp_domain . isset($blog['path']) . "'>" . $tmp_display . "</a>" . $end_wrap;
else
echo $begin_wrap . "<a href='" . $tmp_domain . "'>" . $tmp_display . "</a>" . $end_wrap;
}
}

function list_all_wpmu_blogs($tmp_limit, $tmp_name_or_url, $tmp_begin_wrap, $tmp_end_wrap, $tmp_order) {
global $wpdb;
global $name_or_url;
global $begin_wrap;
global $end_wrap;
global $vhosts;
$tmp_begin_wrap = '<p>';
$tmp_end_wrap = '</p>';
if ($tmp_limit != "") {
$limit = "LIMIT " . $tmp_limit;
}
if ($tmp_name_or_url == "" || $tmp_name_or_url == "name") {
$name_or_url = "name";
// did user request sort by blog_name
$name_sort = ($tmp_order == "blog_name");
} else {
$name_or_url = "url";
$name_sort = false;
}
if ('tmp_begin_wrap' == "" || 'tmp_end_wrap' == "") {
$begin_wrap = "<p>";
$end_wrap = "</p>";
} else {
$begin_wrap = $tmp_begin_wrap;
$end_wrap = $tmp_end_wrap;
}
if ($tmp_order == "" || $tmp_order == "updated") {
$order = "ORDER BY  last_updated DESC";
} else if ($tmp_order == "first_created") {
$order = "ORDER BY  blog_id ASC";
} else if ($tmp_order == "last_created") {
$order = "ORDER BY  blog_id DESC";
} else if ($tmp_order == "domain") {
$order = "ORDER BY  domain ASC";
}
// if vhosts retrieve all the data from global table in one query
if ($vhosts) {
$extra = "domain, path, ";
}

$blog_list = $wpdb->get_results("SELECT " . isset($extra) . "blog_id, last_updated FROM " . $wpdb->blogs .
" WHERE public = '1' AND archived = '0' AND mature = '0' AND spam = '0' AND deleted ='0' " . $order . " " . $limit . "", ARRAY_A);
if (count($blog_list) < 2) { // we don't want to display the admin blog so we return this even if there is one blog
echo "<p>There are currently no active blogs</p>";
} else {
echoArrayBlogList($blog_list, $name_sort);
}
}
?>
<?php get_header(); ?>

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '1') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '1' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php if (is_active_sidebar('st-below-head2-widget-area') && st_meta_belowhead2() != '0') : ?>
<div class="stfullwidget widget-area">
<div class="sidebar-box">
<?php dynamic_sidebar('st-below-head2-widget-area'); ?>
</div></div>
<?php endif; ?>

<div id="content_all">
<div id="maincontent">

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '2') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '2' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php get_template_part( 'layout/landscape-images' ); ?>

<?php if (is_active_sidebar('banner-widget-area') && st_meta_bannerwidget() != '0') : ?><div id="banner_widget" class="sidebar-box">
<?php dynamic_sidebar('banner-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

<div id="post-entry">
<?php if (have_posts()) : ?>

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_ON--><?php } ?>
<div id="archives-sitemap" class="post-meta">
<?php get_template_part( 'layout/link_h1_self' ); ?>

<div class="post-content">
<?php if (st_social_network_ors() == '1') { ?><?php get_template_part( 'plugins/social-network' ); ?><?php } ?>

<?php if (is_active_sidebar('content-widget-area') && st_meta_contentwidget() != '0') : ?>
<div id="content_widget" class="sidebar-box <?php echo st_content_widget_align_ors(); ?>">
<?php dynamic_sidebar('content-widget-area'); ?>
</div><?php endif; ?>

<?php get_template_part( 'ad_includes/adsense_con1' ); ?>
<?php get_template_part( 'ad_includes/chitika_con1' ); ?>
<ul>
<?php list_all_wpmu_blogs('300', 'name', '<li>', '</li>', 'last_created'); ?>
</ul>

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_OFF--><?php } ?>

<?php if (st_social_network_ors() == '2') { ?><?php get_template_part( 'plugins/social-network' ); ?>
<div class="clear"></div><?php } ?>

</div>

<?php if (is_active_sidebar('bottom-content-widget-area') && st_meta_bottomcontentwidget() != '0') : ?>
<div id="bottom-content-widget" class="sidebar-box">
<?php dynamic_sidebar('bottom-content-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

<?php get_template_part( 'ad_includes/chitika_con4' ); ?>
<?php get_template_part( 'ad_includes/adsense_con3' ); ?>
<?php get_template_part( 'ad_includes/adsense_lnk4' ); ?>
<div class="divpadding"></div>

</div>

<?php endif; ?>

</div>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>